import { BigNumber, ethers } from 'ethers';
import { Host, h } from '@stencil/core';
export class MintConfig {
  constructor() {
    this.selectedAmount = undefined;
    this.allocationLeft = undefined;
    this.mintPrice = undefined;
  }
  render() {
    return (h(Host, null, h("div", null, h("div", { class: "data-row", part: "mint-summary" }, h("span", null, "Total"), h("div", null, `${ethers.utils.formatEther(BigNumber.from(this.mintPrice).mul(this.selectedAmount).toString())} ETH`)), h("div", { class: "data-row-alt" }, this.selectedAmount, " token @ ", ethers.utils.formatEther(this.mintPrice), " ETH"))));
  }
  static get is() { return "mint-config"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["mint-config.sass"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["mint-config.css"]
    };
  }
  static get properties() {
    return {
      "selectedAmount": {
        "type": "number",
        "mutable": true,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "selected-amount",
        "reflect": true
      },
      "allocationLeft": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "allocation-left",
        "reflect": false
      },
      "mintPrice": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "mint-price",
        "reflect": false
      }
    };
  }
  static get events() {
    return [{
        "method": "amountChanged",
        "name": "amountChanged",
        "bubbles": true,
        "cancelable": true,
        "composed": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        }
      }];
  }
}
