import { Host, h } from '@stencil/core';
import { MintStatus as Status } from '../../block';
export class MintStatus {
  constructor() {
    this.mintStatus = undefined;
  }
  render() {
    const statusToText = {
      [Status.CLOSED]: 'Mint Closed',
      [Status.PRIVATE]: 'Private Sale Active',
      [Status.PUBLIC]: 'Public Sale Active',
      [Status.BOTH]: 'Sale Active',
      [Status.UNINITIALIZED]: 'Mint Closed',
    };
    return (h(Host, null, h("div", { class: "mint-status", part: "status-bar" }, h("div", { class: "container" }, h("div", { class: `indicator ${[Status.PUBLIC, Status.BOTH, Status.PRIVATE].includes(this.mintStatus) ? 'on' : 'off'}` }), h("span", { part: "status-text" }, statusToText[this.mintStatus])))));
  }
  static get is() { return "mint-status"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["mint-status.sass"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["mint-status.css"]
    };
  }
  static get properties() {
    return {
      "mintStatus": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "Status",
          "resolved": "MintStatus.BOTH | MintStatus.CLOSED | MintStatus.PRIVATE | MintStatus.PUBLIC | MintStatus.UNINITIALIZED",
          "references": {
            "Status": {
              "location": "import",
              "path": "../../block"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "mint-status",
        "reflect": false
      }
    };
  }
}
