import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';

const mintAmountInputCss = ".mint-button-label{display:var(--mint-button-label, block)}.input-group{display:flex;width:100%;height:100%;align-items:stretch}.input-group>.input{isolation:isolate}.input-group :where(span){display:flex;align-items:center;--tw-bg-opacity:1;padding-left:1rem;padding-right:1rem}.data-row{margin-top:1.5rem;width:100%;font-size:20px;display:flex;justify-content:space-between;align-items:center}.data-row-alt{display:flex;flex-direction:row-reverse;font-size:14px;color:var(--text-alt, #3e3e3e)}:host button{background:none;color:inherit;border:none;padding:0;font:inherit;cursor:pointer;outline:inherit;font-weight:600}:host button:disabled{opacity:0.4;cursor:not-allowed}:host .input-container{display:flex;gap:30px}";

const MintAmountInput = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.amountChanged = createEvent(this, "amountChanged", 7);
    this.selectedAmount = undefined;
    this.allocationLeft = undefined;
    this.maxPerWallet = undefined;
  }
  render() {
    return (h(Host, null, h("div", null, h("div", { class: "data-row" }, h("span", null, "Quantity"), h("div", { class: "input-container" }, h("button", { onClick: () => this.amountChanged.emit(this.selectedAmount - 1), disabled: this.allocationLeft === 0 || this.selectedAmount <= 1, ref: el => (this.subtract = el) }, "-"), this.selectedAmount, h("button", { disabled: this.selectedAmount >= this.allocationLeft, onClick: () => this.amountChanged.emit(this.selectedAmount + 1), ref: el => (this.add = el) }, "+"))), h("div", { class: "data-row-alt" }, "Max ", this.maxPerWallet, " per wallet"))));
  }
  static get style() { return mintAmountInputCss; }
}, [1, "mint-amount-input", {
    "selectedAmount": [2, "selected-amount"],
    "allocationLeft": [2, "allocation-left"],
    "maxPerWallet": [2, "max-per-wallet"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mint-amount-input"];
  components.forEach(tagName => { switch (tagName) {
    case "mint-amount-input":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MintAmountInput);
      }
      break;
  } });
}

export { MintAmountInput as M, defineCustomElement as d };
