import { proxyCustomElement, HTMLElement, createEvent, h, Host } from '@stencil/core/internal/client';
import { f as formatEther, B as BigNumber } from './ethers.js';

const mintConfigCss = ".mint-button-label{display:var(--mint-button-label, block)}.input-group{display:flex;width:100%;height:100%;align-items:stretch}.input-group>.input{isolation:isolate}.input-group :where(span){display:flex;align-items:center;--tw-bg-opacity:1;padding-left:1rem;padding-right:1rem}.data-row{margin-top:1.5rem;width:100%;font-size:20px;display:flex;justify-content:space-between;align-items:center}.data-row-alt{display:flex;flex-direction:row-reverse;font-size:14px;color:var(--text-alt, #3e3e3e)}:host{display:block}";

const MintConfig = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.amountChanged = createEvent(this, "amountChanged", 7);
    this.selectedAmount = undefined;
    this.allocationLeft = undefined;
    this.mintPrice = undefined;
  }
  render() {
    return (h(Host, null, h("div", null, h("div", { class: "data-row", part: "mint-summary" }, h("span", null, "Total"), h("div", null, `${formatEther(BigNumber.from(this.mintPrice).mul(this.selectedAmount).toString())} ETH`)), h("div", { class: "data-row-alt" }, this.selectedAmount, " token @ ", formatEther(this.mintPrice), " ETH"))));
  }
  static get style() { return mintConfigCss; }
}, [1, "mint-config", {
    "selectedAmount": [1538, "selected-amount"],
    "allocationLeft": [2, "allocation-left"],
    "mintPrice": [1, "mint-price"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mint-config"];
  components.forEach(tagName => { switch (tagName) {
    case "mint-config":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MintConfig);
      }
      break;
  } });
}

export { MintConfig as M, defineCustomElement as d };
