import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const supplyDisplayCss = ".mint-button-label{display:var(--mint-button-label, block)}.input-group{display:flex;width:100%;height:100%;align-items:stretch}.input-group>.input{isolation:isolate}.input-group :where(span){display:flex;align-items:center;--tw-bg-opacity:1;padding-left:1rem;padding-right:1rem}.data-row{margin-top:1.5rem;width:100%;font-size:20px;display:flex;justify-content:space-between;align-items:center}.data-row-alt{display:flex;flex-direction:row-reverse;font-size:14px;color:var(--text-alt, #3e3e3e)}:host{grid-area:supplyDisplay}";

const SupplyDisplay = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.totalSupply = 0;
    this.maxSupply = 0;
  }
  render() {
    return (h(Host, null, h("div", { part: "supply-bar" }, h("div", { class: "data-row", part: "supply-left" }, h("span", null, "Supply Remaining"), h("span", null, this.maxSupply - this.totalSupply)), h("div", { class: "data-row-alt" }, "Out of ", this.maxSupply))));
  }
  static get style() { return supplyDisplayCss; }
}, [1, "supply-display", {
    "totalSupply": [2, "total-supply"],
    "maxSupply": [2, "max-supply"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["supply-display"];
  components.forEach(tagName => { switch (tagName) {
    case "supply-display":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, SupplyDisplay);
      }
      break;
  } });
}

export { SupplyDisplay as S, defineCustomElement as d };
