import { ContractType } from '../../block';
import { DisplayMessage } from '../../interface/display-message.interface';
export declare class StructCore {
  /**
   * Deployed testnet or contract address
   */
  contractAddress: string;
  /**
   * Flag to enable testnet (goerli)
   */
  testnet: boolean;
  /**
   * Struct contract type
   */
  type: ContractType;
  /**
   *  Wallet connect button text
   */
  walletBtnText: string;
  /**
   * Mint button text
   */
  mintBtnText: string;
  /**
   * Sold out text
   */
  soldOutText: string;
  /**
   * shows the remaining supply left
   */
  supplyLeft?: boolean;
  /**
   * for devs only
   */
  signatures?: string;
  /**
   * Flag to check the wallet and contract have been set up
   */
  initialized: boolean;
  mounted: boolean;
  isMinting: boolean;
  isConnecting: boolean;
  selectedAmount: number;
  totalSupply: number;
  message: DisplayMessage;
  mountError: string;
  private block;
  componentWillLoad(): void;
  selectAmountChanged(event: CustomEvent<number>): void;
  render(): any;
  mint: () => Promise<void>;
  getWalletSignature: () => Promise<void>;
  initiateWallet: () => Promise<void>;
}
